[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ...the public key is not available



Rich Johnson wrote:

On Mar 31, 2006, at 7:03 PM, Michael Lightfoot wrote:

On Saturday 01 April 2006 10:06, Rich Johnson wrote:
Hi folks--

When I run apt-get update, I get

      W: GPG error: http://ftp.us.debian.org testing Release: The
following signatures couldn't be verified because the public key is
not available: NO_PUBKEY 010908312D230C5F
     W: You may want to run apt-get update to correct these problems

You need the package debian-archive-keyring. This annoyed me for about a
month before I got around to looking for the cause.  Apparently the
requirement for the above appeared in late January (it is dated 18 January.)

That eliminated the error, Thanks!

But I'm still a bit puzzled because debian-archive-keyring is _not_ installed on the machine that didn't report the errors. AFAIK, both machines have the same apt-get policies, and all sources are debian.org machines.

One difference between the two machines is that the one which reported the error is an older installation. It was first installed with potato/stable ~5 years ago and has been repeatedly dist-upgraded. The machine without the error was first installed in Feb. with sarge/stable. Hmmm...

---rich



--To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.orgwith a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org


I'm getting the same error for ftp.nerim.net . I installed debian-archive-keyring, but the error persists. Can anyone tell me what the problem is, and how to solve it?

Thanks,
 Russ



Reply to: